> For the complete documentation index, see [llms.txt](https://docs.racemap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.racemap.com/api/participants.md).

# \*/starters, athlete data

### Request

**URL** `https://racemap.com/api/events/:eventId/starters`\
**Method** GET

**Sample**

* with [RACE|RESULT API](/api-import-and-export-data/import-basics/metadata-import-via-rr.md) to synchronize participants <https://racemap.com/api/events/61431c9fd2595a00010f9459/starters>
* without API to import participants <https://racemap.com/api/events/60a3b443f096f800018add7c/starters>

{% hint style="info" %}
This endpoint is **public**. Anyone can read the participant list without signing in, as long as the event's visibility is **Open**, **Listed**, or **Unlisted**. For **Draft** or **Archived** events the response is an empty list for anonymous callers.

Fields marked with `(*)` (e.g. `key`, `appId`, `trackId`) are personal data and are only included for signed-in Racemap accounts that may edit the event.
{% endhint %}

### Response

#### Participant object

<table><thead><tr><th width="225.7583408476105">Field</th><th width="277.9718253321284">Description [unit]</th><th>Sample</th><th data-hidden>line</th></tr></thead><tbody><tr><td><code>manualFinishDuration</code></td><td>Manually edited duration [ms] to reach the finish</td><td><code>22213000</code> or <code>null</code></td><td>3</td></tr><tr><td><code>key</code> *</td><td><code>key</code> assigned to participant</td><td><code>"K84N2S"</code></td><td>4</td></tr><tr><td><code>keyUsed</code></td><td>Indicator if key used in tracking app or to upload activity</td><td><code>true</code> or <code>false</code></td><td>5</td></tr><tr><td><code>markerColor</code></td><td>Color of dot in tracking map, hex code</td><td><code>"#ffffff"</code></td><td>6</td></tr><tr><td><code>startNumber</code></td><td>Bib number of participant</td><td><code>"02"</code></td><td>7</td></tr><tr><td><code>name</code></td><td>Name</td><td><code>"KRad"</code></td><td>8</td></tr><tr><td><code>deviceType</code></td><td>Type of used device, eg. type of GPS tracker or smartphone</td><td><code>"GT560"</code></td><td>10</td></tr><tr><td><code>deviceClass</code></td><td>Class of used device</td><td><code>Mobile</code>, <code>Upload</code>, <code>Tracker</code> or <code>Transponder</code></td><td>11</td></tr><tr><td><code>startTime</code></td><td>Timestamp of the first location in UTC</td><td><code>"2021-09-09T23:00:00.000Z"</code> or <code>null</code></td><td>12</td></tr><tr><td><code>endTime</code></td><td>Timestamp of last location in UTC</td><td><code>"2021-09-10T03:04:07.020Z"</code> or <code>null</code></td><td>13</td></tr><tr><td><code>eventId</code></td><td>Unique Racemap ID of event</td><td><code>"60a3b443f096f800018add7c"</code></td><td>14</td></tr><tr><td><code>appId</code> *</td><td>Unique Racemap ID of installed tracking app or IMEI of tracker or transponder ID</td><td><code>"4105637864"</code></td><td>9</td></tr><tr><td><code>updatedAt</code></td><td>Timestamp of latest update participant's parameters in UTC</td><td><code>"2021-12-17T11:22:07.598Z"</code></td><td>15</td></tr><tr><td><code>trackId</code> *</td><td>Unique Racemap ID of geolocations</td><td><code>"5ba900db9193f62fab70120f"</code></td><td>16</td></tr><tr><td><code>id</code></td><td>Unique Racemap ID of participant</td><td><code>"61bc72291190558210a76d97"</code></td><td>23</td></tr><tr><td><code>gpxUrl</code></td><td>URL to download the device's recorded track</td><td><code>"http://racemap.com/api/starters/61bc72291190558210a76d97/gpx"</code></td><td></td></tr><tr><td><code>listPosition</code></td><td>Position in API</td><td><code>2</code></td><td>24</td></tr><tr><td><code>times</code></td><td>Object with received timestamps from generic API in UTC</td><td></td><td></td></tr><tr><td><code>tags</code></td><td>Object with optional attributes to filter participants eg. age group or nation, format <code>"tag": "value"</code></td><td><code>"age": "40-49", "sex": "mal", "club": "VfA end"</code></td><td></td></tr><tr><td><code>integrations</code></td><td>Object with addtional 3rd party information of participant</td><td></td><td></td></tr></tbody></table>

#### Integrations object

<table><thead><tr><th width="193.1078876281131">Field</th><th width="250.35876426050012">Description [unit]</th><th>Sample</th></tr></thead><tbody><tr><td><code>importId</code></td><td>User-defined ID with imported participant data, <a href="/pages/-LTq5TdE6GKt2S6dgesz">Generic API</a> (<code>importId</code>) or <a href="/pages/-LTh-oAm96bieBZVeffZ">RACE|RESULT API</a> (<code>Id</code>)</td><td><code>"UniqueImportId_3"</code> or <code>"2"</code> or <code>"null"</code><br>if no importId exists</td></tr><tr><td><code>genericImportKey</code></td><td>Unique Racemap ID, from import with <a href="/pages/-LTq5TdE6GKt2S6dgesz">Generic API</a>, not the same as <code>importId</code></td><td><code>"622a1e78f5b3110001c8dd75_Z7csQ5_UniqueImportID_2"</code></td></tr><tr><td><code>raceresultKey</code></td><td>Unique Racemap ID, from import with <a href="/pages/-LTh-oAm96bieBZVeffZ">RACE|RESULT API</a>, not the same as <code>importId</code></td><td>​<code>"2_180472_0"</code></td></tr></tbody></table>

{% tabs %}
{% tab title="without import" %}
{% code expandable="true" %}

```javascript
[
  {
    "manualFinishDuration": null,
    "key": "3Z2GPX",
    "keyUsed": true,
    "markerColor": "#ffffff",
    "startNumber": "01",
    "name": "Konrad",
    "appId": "453cc844-fd1e-4026-976d-ddf05c4dc757",
    "deviceType": "android|11|samsung SM-M315F|3.24.12",
    "deviceClass": "Mobile",
    "startTime": "2020-04-25T06:14:00.000Z",
    "endTime": "2020-09-25T19:45:00.000Z",
    "eventId": "60a3b443f096f800018add7c",
    "updatedAt": "2021-11-03T15:12:14.454Z",
    "trackId": "6040a02f46406c763600655b",
    "times": {},
    "tags": {
      "age": "30-39",
      "sex": "mal",
      "club": "VfA end"
    },
    "integrations": {
      "importId": "UniqueImportId_1"
    },
    "id": "60a3b6791474227ee54a5bdf",
    "gpxUrl": "http://racemap.com/api/starters/60a3b6791474227ee54a5bdf/gpx",
    "listPosition": 0,
    "deviceGpsFix": false
  },
  {
    "manualFinishDuration": null,
    "key": "K84N2S",
    "keyUsed": false,
    "markerColor": "#ffffff",
    "startNumber": "02",
    "name": "Jörg",
    "appId": "e6921eff-0fba-41b1-aea0-258c202d2e96",
    "deviceType": "",
    "deviceClass": "Upload",
    "startTime": "2020-04-25T06:14:00.000Z",
    "endTime": "2020-09-25T21:59:00.000Z",
    "eventId": "60a3b443f096f800018add7c",
    "updatedAt": "2021-11-03T15:09:35.285Z",
    "trackId": "5ea88f8e106f5f2d9919c859",
    "times": {},
    "tags": {
      "age": "40-49",
      "sex": "mal",
      "club": "VfA end"
    },
    "integrations": {
      "importId": "UniqueImportId_2"
    },
    "id": "60a3b679147422b72a4a5be0",
    "gpxUrl": "http://racemap.com/api/starters/60a3b679147422b72a4a5be0/gpx",
    "listPosition": 1,
    "deviceGpsFix": false
  }
]
```

{% endcode %}
{% endtab %}

{% tab title="RACE|RESULT import" %}
{% code expandable="true" %}

```javascript
[
  {
    "integrations": {
      "importId": "1",
      "raceresultKey": "1_180472_1",
      "messagingToken": null
    },
    "appId": "4105637844",
    "deviceType": null,
    "deviceClass": "Tracker",
    "manualFinishDuration": null,
    "keyUsed": false,
    "markerColor": "#f2f2f2",
    "startNumber": "1",
    "name": "Christoph Schroth",
    "eventId": "61431c9fd2595a00010f9459",
    "tags": {
      "age": "Elite M30",
      "sex": "m",
      "nationality": "GER",
      "status": "DNS",
      "contest": "Gravel",
      "Team": "Mixed",
      "Category": "Amateur"
    },
    "times": {
      "start": "2021-09-09T22:00:00.000Z"
    },
    "updatedAt": "2023-08-10T09:16:15.066Z",
    "trackId": "6143234182ad4c13bf2d0028",
    "endTime": null,
    "startTime": "2021-09-09T22:00:00.000Z",
    "key": "6WLWTR",
    "id": "631857aed4074c7d42cb4945",
    "gpxUrl": "http://racemap.com/api/starters/631857aed4074c7d42cb4945/gpx",
    "listPosition": 0,
    "deviceGpsFix": false,
    "deviceId": null
  },
  {
    "integrations": {
      "messagingToken": null,
      "importId": "5",
      "raceresultKey": "5_180472_1"
    },
    "appId": "860665002484665",
    "deviceType": null,
    "deviceClass": "Tracker",
    "manualFinishDuration": null,
    "keyUsed": false,
    "markerColor": "#04b404",
    "startNumber": "4",
    "name": "Karl Wolffgang",
    "eventId": "61431c9fd2595a00010f9459",
    "tags": {
      "age": "Elite M30",
      "sex": "m",
      "nationality": "GER",
      "contest": "MTB",
      "Team": "Men",
      "Category": "Amateur"
    },
    "times": {
      "start": "2021-09-09T22:00:00.000Z"
    },
    "updatedAt": "2022-09-10T05:02:02.295Z",
    "trackId": "61431f892237cfdd853da2d9",
    "endTime": null,
    "startTime": "2021-09-09T22:00:00.000Z",
    "id": "631857aeb520f243962f832d",
    "gpxUrl": "http://racemap.com/api/starters/631857aeb520f243962f832d/gpx",
    "listPosition": 4,
    "deviceGpsFix": false,
    "deviceId": null
  }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.racemap.com/api/participants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
